﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Application Onboarding and Management</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Application Onboarding and Management</h1>
        <p>Integrating and governing enterprise and cloud applications is effort consuming. Saviynt Identity Governance and Administration (IGA) introduces a new application onboarding and management capability that is aimed to reduce the application onboarding time by 90 percent with a simplified and template-driven experience.</p>
        <p>The new onboarding capability offers consolidation of various entities and configurations in a predefined and template-based experience in comparison to the previous versions of the product. It enables the application owners to turn on or off features as needed and also take advantage of the prepackaged settings.</p>
        <p>This simplified solution provides the following benefits:</p>
        <ul>
            <li>
                <p>Simplified and template-driven onboarding experience  </p>
            </li>
            <li>
                <p>Support to turn on/off features at any time </p>
            </li>
            <li>
                <p>New flavors of onboarding: quick, assisted, and advanced</p>
            </li>
            <li>
                <p>Minimized human errors with new user interface components</p>
            </li>
            <li>
                <p>Prepackaged settings for various <span class="inline-comment-marker">configurations</span></p>
            </li>
            <li>
                <p>Default configurations per recommended guidelines and implementation best practices  </p>
            </li>
        </ul>
        <p>This article covers the following topics:</p>
        <ul>
            <li>
                <p><a href="#Enabling"><MadCap:xref href="#Enabling">Enabling Application Onboarding and Management</MadCap:xref></a>
                </p>
            </li>
            <li>
                <p><a href="#Supporte">Supported Application/Platform Types</a>
                </p>
            </li>
            <li>
                <p><a href="#Applicat">Application Onboarding and Management Concepts</a>
                </p>
                <ul>
                    <li>
                        <p><a href="#Methods">Methods of Application Enrollment</a>
                        </p>
                    </li>
                    <li>
                        <p><a href="#Typical">Typical Workflow of Application Enrollment</a>
                        </p>
                    </li>
                </ul>
            </li>
        </ul>
        <h2><a name="Enabling"></a>Enabling Application Onboarding and Management</h2>
        <p>By default, the application onboarding and management feature is available to users with the ROLE_ADMIN SAV role. To enable it for other users, add the following features to the user’s SAV role:</p>
        <ul>
            <li>
                <p>Application Type Catalog</p>
            </li>
            <li>
                <p>Application Catalog</p>
            </li>
            <li>
                <p>Application Onboard</p>
            </li>
            <li>
                <p>Application Configuration</p>
            </li>
            <li>
                <p>Application Entitlement types</p>
            </li>
            <li>
                <p>Application Entitlements</p>
            </li>
        </ul>
        <h2><a name="Supporte"></a>Supported Application/Platform Types</h2>
        <p>The following application types are supported in this release:</p>
        <ul>
            <li>
                <p>Active Directory (AD) </p>
            </li>
            <li>
                <p>SAP</p>
            </li>
            <li>
                <p>Google Cloud Platform (GCP)</p>
            </li>
            <li>
                <p>Disconnected applications (only flat-file based integrations)</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note"> This release supports only these application types. Although you may find REST, SOAP, and Database application types in the user interface, they will be available for use in the upcoming releases. </p>
                </div>
            </li>
        </ul>
        <h2><a name="Applicat"></a>Application Onboarding and Management Concepts</h2>
        <p>Application onboarding is the process of registering an application in IGA. This process is called enrollment in IGA terminology.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The terms, onboarding and enrollment, are used interchangeably in this document to align with the user interface. However, they mean the same technically.</p>
        </div>
        <p>Review the following concepts before starting with application enrollment:</p>
        <h3><a name="Methods"></a>Methods of Application Enrollment</h3>
        <p>The following modes are supported: </p>
        <ul>
            <li>
                <p><strong>Quick: </strong>Use this method for rapid enrollment of an application with default or minimal settings. The default settings are automatically populated based on the recommended values for the supported application types: AD, SAP, GCP, and disconnected applications. <span class="inline-comment-marker">After you provide the basic application details, such as application name, description, and application owner, you can quickly complete enrolling the application by a single click of a button.</span></p>
            </li>
            <li>
                <p><strong>Assisted:</strong>&#160;Use this method to enroll an application by <span class="inline-comment-marker">defining its settings </span>via a wizard. <span class="inline-comment-marker">The wizard displays the application features </span>as logical groups of settings and guides you through a step-by-step enrollment process.</p>
            </li>
            <li>
                <p><strong>Advanced:</strong> Use this method to manually configure the enrollment of an application by specifying the application settings that are displayed individually or grouped in logical categories. Saviynt recommends you to use this method only if you are familiar with the application and have a good understanding of the given settings.</p>
            </li>
        </ul>
        <h3><a name="Typical"></a>Typical Workflow of Application Enrollment</h3>
        <p><span class="inline-comment-marker">The first step of enrolling an application includes specifying the basic details of the application, features, and connection details</span>. After this step, you can either complete the enrollment or configure the settings for the operations that you want to perform on the application, such as importing accounts or provisioning access. You can also choose to configure the settings for the application, keep the configuration in pending state, and use the assisted or advanced method for completing the configuration. The following figure illustrates the application enrollment flow:</p>
        <p>
            <img src="../../Resources/Images/appmgmtoverview.png" style="width: 650px;" />
        </p>
    </body>
</html>